﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TemplateGenerator.Logic {
	public static class Communication {

		public static bool ConfirmAction(string message, string header = "Confirmation is required")
		{
			return MessageBox.Show(message, header, MessageBoxButtons.OKCancel) == DialogResult.OK;
		}

		public static void Notify(string message, string header= "Notification")
		{
			MessageBox.Show(message, header, MessageBoxButtons.OK);
		}



	}
}
